/*******************************************************************************
 * Copyright (c) 2010 Sylvain Sicard.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * 
 * Contributors:
 *     Sylvain Sicard - initial API and implementation
 ******************************************************************************/
package com.googlecode.ssdutils.beanconverter.asm;

import java.util.List;
import java.util.Map;

/**
 * @author Sylvain Sicard
 * 
 */
public interface ClassGenerator<S, T> {

	public byte[] generateConverterClass(String className, Class<S> from,
			Class<T> to) throws Exception;

	/**
	 * @param entitiesConvertMap
	 */
	public void setEntitiesConvertMap(
			Map<String, List<String>> entitiesConvertMap);

}
